package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/SetElementIntoICollAction.class */
public class SetElementIntoICollAction extends LifeAction {
    private String iCollNameField;
    private String fmtDelimField;
    private String loadDataNameFmtField;
    private String saveDataNameFmtField;
    private String popIndexField;
    private boolean pushOrUpdateFlag;
    private boolean updateAllFlag;

    public String execute(Context context) throws GENEException {
        int popIndex;
        try {
            if (this.fmtDelimField == null || "".equals(this.fmtDelimField.trim()) || "|".equals(this.fmtDelimField.trim())) {
                this.fmtDelimField = "\\|";
            }
            if (".".equals(this.fmtDelimField.trim())) {
                this.fmtDelimField = "\\.";
            }
            if (this.iCollNameField == null || this.loadDataNameFmtField == null || this.saveDataNameFmtField == null || "".equals(this.loadDataNameFmtField.trim()) || "".equals(this.saveDataNameFmtField.trim()) || this.popIndexField == null || "".equals(this.popIndexField.trim())) {
                throw new TranFailException("EBLN0000", "输入参数配置错误");
            }
            String[] loadDateNameArray = this.loadDataNameFmtField.split(this.fmtDelimField);
            String[] saveDateNameArray = this.saveDataNameFmtField.split(this.fmtDelimField);
            if (loadDateNameArray.length != saveDateNameArray.length) {
                throw new TranFailException("EBLN0000", "输入参数配置错误");
            }
            try {
                popIndex = Integer.parseInt((String) context.getDataValue(this.popIndexField));
            } catch (NumberFormatException unused) {
                popIndex = 0;
            }
            IndexedCollection iColl = context.getDataElement(this.iCollNameField);
            if (this.pushOrUpdateFlag) {
                KeyedCollection kCollClone = (KeyedCollection) iColl.getDataElement().clone();
                for (int i = 0; i < loadDateNameArray.length; i++) {
                    kCollClone.setDataValue(saveDateNameArray[i], context.getDataValue(loadDateNameArray[i]));
                }
                iColl.add(kCollClone);
                context.setDataValue(this.popIndexField, String.valueOf(iColl.size() - 1));
                return "0";
            }
            if (this.updateAllFlag) {
                for (int idx = 0; idx < iColl.size(); idx++) {
                    KeyedCollection kColl = iColl.getElementAt(idx);
                    for (int i2 = 0; i2 < loadDateNameArray.length; i2++) {
                        kColl.setDataValue(saveDateNameArray[i2], context.getDataValue(loadDateNameArray[i2]));
                    }
                }
                return "0";
            }
            KeyedCollection kColl2 = iColl.getElementAt(popIndex);
            for (int i3 = 0; i3 < loadDateNameArray.length; i3++) {
                kColl2.setDataValue(saveDateNameArray[i3], context.getDataValue(loadDateNameArray[i3]));
            }
            context.setDataValue(this.popIndexField, String.valueOf(popIndex + 1));
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public String getICollNameField() {
        return this.iCollNameField;
    }

    public void setICollNameField(String collNameField) {
        this.iCollNameField = collNameField;
    }

    public String getFmtDelimField() {
        return this.fmtDelimField;
    }

    public void setFmtDelimField(String fmtDelimField) {
        this.fmtDelimField = fmtDelimField;
    }

    public String getLoadDataNameFmtField() {
        return this.loadDataNameFmtField;
    }

    public void setLoadDataNameFmtField(String loadDataNameFmtField) {
        this.loadDataNameFmtField = loadDataNameFmtField;
    }

    public String getSaveDataNameFmtField() {
        return this.saveDataNameFmtField;
    }

    public void setSaveDataNameFmtField(String saveDataNameFmtField) {
        this.saveDataNameFmtField = saveDataNameFmtField;
    }

    public String getPopIndexField() {
        return this.popIndexField;
    }

    public void setPopIndexField(String popIndexField) {
        this.popIndexField = popIndexField;
    }

    public boolean isPushOrUpdateFlag() {
        return this.pushOrUpdateFlag;
    }

    public void setPushOrUpdateFlag(boolean pushOrUpdateFlag) {
        this.pushOrUpdateFlag = pushOrUpdateFlag;
    }

    public boolean isUpdateAllFlag() {
        return this.updateAllFlag;
    }

    public void setUpdateAllFlag(boolean updateAllFlag) {
        this.updateAllFlag = updateAllFlag;
    }
}
